/* REXX SCRIPT TO CREATE SOME TM2LABO PROGRAM ICONS */
if RxFuncQuery('SysLoadFuncs') then do
   call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
   call SysLoadFuncs
end

say "Creating PM Program objects..."

dir = directory() || '\'
dirpm = directory() || '\'
dirdll = directory() || '\'
dirvio = directory() || '\'

call SysCreateObject "WPFolder", "Hide Back", "<WP_DESKTOP>", "OBJECTID=<FDR_TM2LABO_HIDEBACK>;OPEN=ICON;ICONVIEWPOS=45,70,50,25;ALWAYSSORT=YES;ICONRESOURCE=1," || dirdll || "HBXT2DLL.DLL;ICONNRESOURCE=1,2," || dirdll || "HBXT2DLL.DLL;", "REPLACE"
call SysCreateObject "WPProgram", "Hide Back", "<FDR_TM2LABO_HIDEBACK>", "EXENAME=" || dirpm || "HIDEBACK.EXE;OBJECTID=<PRG_TM2LABO_HIDEBACKPM>;STARTUPDIR=" || dirpm || ";","REPLACE"

call SysCreateObject "WPFolder", "Help", "<FDR_TM2LABO_HIDEBACK>", "OBJECTID=<FDR_TM2LABO_HIDEBACKHELP>;ICONVIEWPOS=45,70,50,25;ALWAYSSORT=YES;ICONRESOURCE=5," || dirdll || "HBXT2DLL.DLL;ICONNRESOURCE=1,6," || dirdll || "HBXT2DLL.DLL", "REPLACE"
call SysCreateObject "WPProgram", "Readme(Jpn)", "<FDR_TM2LABO_HIDEBACKHELP>", "EXENAME=E.EXE;PARAMETERS=README.JPN;OBJECTID=<PRG_TM2LABO_HIDEBACK_READMEJPN_TXT>;STARTUPDIR=" || dir || ";","REPLACE"
call SysCreateObject "WPProgram", "Readme(Eng)", "<FDR_TM2LABO_HIDEBACKHELP>", "EXENAME=E.EXE;PARAMETERS=README.ENG;OBJECTID=<PRG_TM2LABO_HIDEBACK_READMEENG_TXT>;STARTUPDIR=" || dir || ";","REPLACE"
call SysCreateObject "WPUrl", "TM2Labo", "<FDR_TM2LABO_HIDEBACKHELP>", "OBJECTID=<URL_TM2LABO_HIDEBACK_SUPPORT>;LOCATOR=http://www7.big.or.jp/~os2warp/;","REPLACE"

say "Completed."

